org.eclipse.viatra.transformation.evm.specific.job

## Class EnableJob<EventAtom>

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.Job<EventAtom>
  - - org.eclipse.viatra.transformation.evm.api.CompositeJob<EventAtom>
    - - org.eclipse.viatra.transformation.evm.specific.job.EnableJob<EventAtom>

- Type Parameters:
    `EventAtom` -

      public class EnableJob<EventAtom>
      extends CompositeJob<EventAtom>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnableJob(Job<EventAtom> job)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `execute(Activation<? extends EventAtom> activation, Context context)` Executes the action on the activation using the supplied context.
    `boolean` | `isEnabled()`
    `void` | `setEnabled(boolean enabled)`

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.api.CompositeJob

      `handleError`

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.api.Job

      `getActivationState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnableJob

          public EnableJob(Job<EventAtom> job)

      Parameters:
        `job` -

  - ### Method Detail

    - #### execute

          protected void execute(Activation<? extends EventAtom> activation,
                                 Context context)

      Description copied from class: `Job`
      Executes the action on the activation using the supplied context.
      Overrides:
        `execute` in class `CompositeJob<EventAtom>`

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        the enabled

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Parameters:
        `enabled` - the enabled to set